Bug 129457 - Adaptec Starfire QuadEthernet Problems
Adaptec Starfire QuadEthernet Problems
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-09 10:21 EDT by Sven Paas
Modified: 2015-01-04 17:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven Paas 2004-08-09 10:21:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
My Adaptec Starfire QuadEthernet does not
work under Fedora Core 2, all kernels up to 
kernel-2.6.7-1.494.2.2. 

If I try to put some traffic to the card, 
all I get is

eth2: Something Wicked happened! 0x02018101.

(or similiar error codes, like 02010001 or 02019101) 

Under FC1 (kernel 2.4.x, the same card just worked fine)!

Any hints? 

Thanks, Sven


Version-Release number of selected component (if applicable):
all FC2 kernels (2.6.x)

How reproducible:
Always

Steps to Reproduce:
1. Install FC2
2. ping to something connected by
   the Starfire card
    

Actual Results:  An error message "Something Wicked happened"
goes to /var/log/messages. (See above)
tcpdump shows no traffic on any device. 



Expected Results:  The card should operate as expected. 

Additional info:
Comment 1 cso itsec 2004-10-22 06:18:23 EDT
Hi,

Using same setup, upgraded from FC1 to FC2
We have 10 starfire's, all of them exhibit the same issue.
Changing hardware does not resolve issues.
Cards generate the same reported issues and messages.
Interesting: when dumping traffic (TCPDUMP) all frames that should be 
normal ip traffic are reported as unsupported ethernet type.
Really need the starfires to work, as the replacements (we also use 
Intel 10/100/100 quads) do not work in non 3.3v pci slots.

Regards

Rein van Koten
Comment 2 Peter Baumann 2004-11-23 05:30:27 EST
Hi
I had the same issue with these kind of cards.
I still have this issue with FC3 and couldn't get the card work properly.
I see everything o.k. but I cannot send a single paket to the network.
My solutions is now to use freebsd and the card works there.

Peter
Comment 3 cso itsec 2005-01-07 10:43:46 EST
Hi, Can anyone tell me whether someone is working on this or if
there's some kind of solution? Maybe I've missed something but as far
as I know there's not yet a solution or even cause found...
Thanx,

Rein van Koten
Comment 4 Christof Damian 2005-01-07 10:58:15 EST
I don't think anyone is. I contacted the people I could find in the
MAINTAINERS file and on the net and nobody responded. I gave up now
and replaced the card. 
Comment 5 Dave Jones 2005-04-16 00:28:17 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.